Interface VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder
-
- All Superinterfaces:
org.apache.camel.builder.EndpointProducerBuilder,org.apache.camel.EndpointProducerResolver
- Enclosing interface:
- VertxHttpEndpointBuilderFactory
public static interface VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder extends org.apache.camel.builder.EndpointProducerBuilderBuilder for endpoint for the Vert.x HTTP Client component.
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderbasicAuthPassword(String basicAuthPassword)The password to use for basic authentication.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderbasicAuthUsername(String basicAuthUsername)The user name to use for basic authentication.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderbearerToken(String bearerToken)The bearer token to use for bearer token authentication.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderconnectTimeout(int connectTimeout)The amount of time in milliseconds until a connection is established.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderconnectTimeout(String connectTimeout)The amount of time in milliseconds until a connection is established.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildercookieStore(io.vertx.ext.web.client.spi.CookieStore cookieStore)A custom CookieStore to use when session management is enabled.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildercookieStore(String cookieStore)A custom CookieStore to use when session management is enabled.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderheaderFilterStrategy(String headerFilterStrategy)A custom org.apache.camel.spi.HeaderFilterStrategy to filter header to and from Camel message.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderheaderFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)A custom org.apache.camel.spi.HeaderFilterStrategy to filter header to and from Camel message.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderhttpMethod(io.vertx.core.http.HttpMethod httpMethod)The HTTP method to use.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderhttpMethod(String httpMethod)The HTTP method to use.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderlazyStartProducer(boolean lazyStartProducer)Whether the producer should be started lazy (on the first message).default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderlazyStartProducer(String lazyStartProducer)Whether the producer should be started lazy (on the first message).default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderokStatusCodeRange(String okStatusCodeRange)The status codes which are considered a success response.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderproxyHost(String proxyHost)The proxy server host address.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderproxyPassword(String proxyPassword)The proxy server password if authentication is required.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderproxyPort(Integer proxyPort)The proxy server port.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderproxyPort(String proxyPort)The proxy server port.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderproxyType(io.vertx.core.net.ProxyType proxyType)The proxy server type.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderproxyType(String proxyType)The proxy server type.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderproxyUsername(String proxyUsername)The proxy server username if authentication is required.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderresponsePayloadAsByteArray(boolean responsePayloadAsByteArray)Whether the response body should be byte or as io.vertx.core.buffer.Buffer.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderresponsePayloadAsByteArray(String responsePayloadAsByteArray)Whether the response body should be byte or as io.vertx.core.buffer.Buffer.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildersessionManagement(boolean sessionManagement)Enables session management via WebClientSession.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildersessionManagement(String sessionManagement)Enables session management via WebClientSession.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildersslContextParameters(String sslContextParameters)To configure security using SSLContextParameters.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildersslContextParameters(org.apache.camel.support.jsse.SSLContextParameters sslContextParameters)To configure security using SSLContextParameters.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderthrowExceptionOnFailure(boolean throwExceptionOnFailure)Disable throwing HttpOperationFailedException in case of failed responses from the remote server.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderthrowExceptionOnFailure(String throwExceptionOnFailure)Disable throwing HttpOperationFailedException in case of failed responses from the remote server.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildertimeout(long timeout)The amount of time in milliseconds after which if the request does not return any data within the timeout period a TimeoutException fails the request.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildertimeout(String timeout)The amount of time in milliseconds after which if the request does not return any data within the timeout period a TimeoutException fails the request.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildertransferException(boolean transferException)If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was sent back serialized in the response as a application/x-java-serialized-object content type.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildertransferException(String transferException)If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was sent back serialized in the response as a application/x-java-serialized-object content type.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderuseCompression(boolean useCompression)Set whether compression is enabled to handled compressed (E.g gzipped) responses.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderuseCompression(String useCompression)Set whether compression is enabled to handled compressed (E.g gzipped) responses.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildervertxHttpBinding(String vertxHttpBinding)A custom VertxHttpBinding which can control how to bind between Vert.x and Camel.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuildervertxHttpBinding(org.apache.camel.component.vertx.http.VertxHttpBinding vertxHttpBinding)A custom VertxHttpBinding which can control how to bind between Vert.x and Camel.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderwebClientOptions(io.vertx.ext.web.client.WebClientOptions webClientOptions)Sets customized options for configuring the Vert.x WebClient.default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderwebClientOptions(String webClientOptions)Sets customized options for configuring the Vert.x WebClient.
-
-
-
Method Detail
-
connectTimeout
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder connectTimeout(int connectTimeout)
The amount of time in milliseconds until a connection is established. A timeout value of zero is interpreted as an infinite timeout. The option is a: <code>int</code> type. Default: 60000 Group: producer- Parameters:
connectTimeout- the value to set- Returns:
- the dsl builder
-
connectTimeout
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder connectTimeout(String connectTimeout)
The amount of time in milliseconds until a connection is established. A timeout value of zero is interpreted as an infinite timeout. The option will be converted to a <code>int</code> type. Default: 60000 Group: producer- Parameters:
connectTimeout- the value to set- Returns:
- the dsl builder
-
cookieStore
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder cookieStore(io.vertx.ext.web.client.spi.CookieStore cookieStore)
A custom CookieStore to use when session management is enabled. If this option is not set then an in-memory CookieStore is used. The option is a: <code>io.vertx.ext.web.client.spi.CookieStore</code> type. Default: InMemoryCookieStore Group: producer- Parameters:
cookieStore- the value to set- Returns:
- the dsl builder
-
cookieStore
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder cookieStore(String cookieStore)
A custom CookieStore to use when session management is enabled. If this option is not set then an in-memory CookieStore is used. The option will be converted to a <code>io.vertx.ext.web.client.spi.CookieStore</code> type. Default: InMemoryCookieStore Group: producer- Parameters:
cookieStore- the value to set- Returns:
- the dsl builder
-
headerFilterStrategy
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
A custom org.apache.camel.spi.HeaderFilterStrategy to filter header to and from Camel message. The option is a: <code>org.apache.camel.spi.HeaderFilterStrategy</code> type. Default: VertxHttpHeaderFilterStrategy Group: producer- Parameters:
headerFilterStrategy- the value to set- Returns:
- the dsl builder
-
headerFilterStrategy
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder headerFilterStrategy(String headerFilterStrategy)
A custom org.apache.camel.spi.HeaderFilterStrategy to filter header to and from Camel message. The option will be converted to a <code>org.apache.camel.spi.HeaderFilterStrategy</code> type. Default: VertxHttpHeaderFilterStrategy Group: producer- Parameters:
headerFilterStrategy- the value to set- Returns:
- the dsl builder
-
httpMethod
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder httpMethod(io.vertx.core.http.HttpMethod httpMethod)
The HTTP method to use. The HttpMethod header cannot override this option if set. The option is a: <code>io.vertx.core.http.HttpMethod</code> type. Group: producer- Parameters:
httpMethod- the value to set- Returns:
- the dsl builder
-
httpMethod
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder httpMethod(String httpMethod)
The HTTP method to use. The HttpMethod header cannot override this option if set. The option will be converted to a <code>io.vertx.core.http.HttpMethod</code> type. Group: producer- Parameters:
httpMethod- the value to set- Returns:
- the dsl builder
-
lazyStartProducer
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. The option is a: <code>boolean</code> type. Default: false Group: producer- Parameters:
lazyStartProducer- the value to set- Returns:
- the dsl builder
-
lazyStartProducer
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. The option will be converted to a <code>boolean</code> type. Default: false Group: producer- Parameters:
lazyStartProducer- the value to set- Returns:
- the dsl builder
-
okStatusCodeRange
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder okStatusCodeRange(String okStatusCodeRange)
The status codes which are considered a success response. The values are inclusive. Multiple ranges can be defined, separated by comma, e.g. 200-204,209,301-304. Each range must be a single number or from-to with the dash included. The option is a: <code>java.lang.String</code> type. Default: 200-299 Group: producer- Parameters:
okStatusCodeRange- the value to set- Returns:
- the dsl builder
-
responsePayloadAsByteArray
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder responsePayloadAsByteArray(boolean responsePayloadAsByteArray)
Whether the response body should be byte or as io.vertx.core.buffer.Buffer. The option is a: <code>boolean</code> type. Default: true Group: producer- Parameters:
responsePayloadAsByteArray- the value to set- Returns:
- the dsl builder
-
responsePayloadAsByteArray
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder responsePayloadAsByteArray(String responsePayloadAsByteArray)
Whether the response body should be byte or as io.vertx.core.buffer.Buffer. The option will be converted to a <code>boolean</code> type. Default: true Group: producer- Parameters:
responsePayloadAsByteArray- the value to set- Returns:
- the dsl builder
-
sessionManagement
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder sessionManagement(boolean sessionManagement)
Enables session management via WebClientSession. By default the client is configured to use an in-memory CookieStore. The cookieStore option can be used to override this. The option is a: <code>boolean</code> type. Default: false Group: producer- Parameters:
sessionManagement- the value to set- Returns:
- the dsl builder
-
sessionManagement
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder sessionManagement(String sessionManagement)
Enables session management via WebClientSession. By default the client is configured to use an in-memory CookieStore. The cookieStore option can be used to override this. The option will be converted to a <code>boolean</code> type. Default: false Group: producer- Parameters:
sessionManagement- the value to set- Returns:
- the dsl builder
-
throwExceptionOnFailure
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder throwExceptionOnFailure(boolean throwExceptionOnFailure)
Disable throwing HttpOperationFailedException in case of failed responses from the remote server. The option is a: <code>boolean</code> type. Default: true Group: producer- Parameters:
throwExceptionOnFailure- the value to set- Returns:
- the dsl builder
-
throwExceptionOnFailure
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder throwExceptionOnFailure(String throwExceptionOnFailure)
Disable throwing HttpOperationFailedException in case of failed responses from the remote server. The option will be converted to a <code>boolean</code> type. Default: true Group: producer- Parameters:
throwExceptionOnFailure- the value to set- Returns:
- the dsl builder
-
timeout
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder timeout(long timeout)
The amount of time in milliseconds after which if the request does not return any data within the timeout period a TimeoutException fails the request. Setting zero or a negative value disables the timeout. The option is a: <code>long</code> type. Default: -1 Group: producer- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
timeout
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder timeout(String timeout)
The amount of time in milliseconds after which if the request does not return any data within the timeout period a TimeoutException fails the request. Setting zero or a negative value disables the timeout. The option will be converted to a <code>long</code> type. Default: -1 Group: producer- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
transferException
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was sent back serialized in the response as a application/x-java-serialized-object content type. On the producer side the exception will be deserialized and thrown as is, instead of HttpOperationFailedException. The caused exception is required to be serialized. This is by default turned off. If you enable this then be aware that Camel will deserialize the incoming data from the request to a Java object, which can be a potential security risk. The option is a: <code>boolean</code> type. Default: false Group: producer- Parameters:
transferException- the value to set- Returns:
- the dsl builder
-
transferException
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was sent back serialized in the response as a application/x-java-serialized-object content type. On the producer side the exception will be deserialized and thrown as is, instead of HttpOperationFailedException. The caused exception is required to be serialized. This is by default turned off. If you enable this then be aware that Camel will deserialize the incoming data from the request to a Java object, which can be a potential security risk. The option will be converted to a <code>boolean</code> type. Default: false Group: producer- Parameters:
transferException- the value to set- Returns:
- the dsl builder
-
useCompression
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder useCompression(boolean useCompression)
Set whether compression is enabled to handled compressed (E.g gzipped) responses. The option is a: <code>boolean</code> type. Default: false Group: producer- Parameters:
useCompression- the value to set- Returns:
- the dsl builder
-
useCompression
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder useCompression(String useCompression)
Set whether compression is enabled to handled compressed (E.g gzipped) responses. The option will be converted to a <code>boolean</code> type. Default: false Group: producer- Parameters:
useCompression- the value to set- Returns:
- the dsl builder
-
vertxHttpBinding
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder vertxHttpBinding(org.apache.camel.component.vertx.http.VertxHttpBinding vertxHttpBinding)
A custom VertxHttpBinding which can control how to bind between Vert.x and Camel. The option is a: <code>org.apache.camel.component.vertx.http.VertxHttpBinding</code> type. Group: producer- Parameters:
vertxHttpBinding- the value to set- Returns:
- the dsl builder
-
vertxHttpBinding
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder vertxHttpBinding(String vertxHttpBinding)
A custom VertxHttpBinding which can control how to bind between Vert.x and Camel. The option will be converted to a <code>org.apache.camel.component.vertx.http.VertxHttpBinding</code> type. Group: producer- Parameters:
vertxHttpBinding- the value to set- Returns:
- the dsl builder
-
webClientOptions
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder webClientOptions(io.vertx.ext.web.client.WebClientOptions webClientOptions)
Sets customized options for configuring the Vert.x WebClient. The option is a: <code>io.vertx.ext.web.client.WebClientOptions</code> type. Group: producer- Parameters:
webClientOptions- the value to set- Returns:
- the dsl builder
-
webClientOptions
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder webClientOptions(String webClientOptions)
Sets customized options for configuring the Vert.x WebClient. The option will be converted to a <code>io.vertx.ext.web.client.WebClientOptions</code> type. Group: producer- Parameters:
webClientOptions- the value to set- Returns:
- the dsl builder
-
proxyHost
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder proxyHost(String proxyHost)
The proxy server host address. The option is a: <code>java.lang.String</code> type. Group: proxy- Parameters:
proxyHost- the value to set- Returns:
- the dsl builder
-
proxyPassword
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder proxyPassword(String proxyPassword)
The proxy server password if authentication is required. The option is a: <code>java.lang.String</code> type. Group: proxy- Parameters:
proxyPassword- the value to set- Returns:
- the dsl builder
-
proxyPort
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder proxyPort(Integer proxyPort)
The proxy server port. The option is a: <code>java.lang.Integer</code> type. Group: proxy- Parameters:
proxyPort- the value to set- Returns:
- the dsl builder
-
proxyPort
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder proxyPort(String proxyPort)
The proxy server port. The option will be converted to a <code>java.lang.Integer</code> type. Group: proxy- Parameters:
proxyPort- the value to set- Returns:
- the dsl builder
-
proxyType
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder proxyType(io.vertx.core.net.ProxyType proxyType)
The proxy server type. The option is a: <code>io.vertx.core.net.ProxyType</code> type. Group: proxy- Parameters:
proxyType- the value to set- Returns:
- the dsl builder
-
proxyType
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder proxyType(String proxyType)
The proxy server type. The option will be converted to a <code>io.vertx.core.net.ProxyType</code> type. Group: proxy- Parameters:
proxyType- the value to set- Returns:
- the dsl builder
-
proxyUsername
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder proxyUsername(String proxyUsername)
The proxy server username if authentication is required. The option is a: <code>java.lang.String</code> type. Group: proxy- Parameters:
proxyUsername- the value to set- Returns:
- the dsl builder
-
basicAuthPassword
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder basicAuthPassword(String basicAuthPassword)
The password to use for basic authentication. The option is a: <code>java.lang.String</code> type. Group: security- Parameters:
basicAuthPassword- the value to set- Returns:
- the dsl builder
-
basicAuthUsername
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder basicAuthUsername(String basicAuthUsername)
The user name to use for basic authentication. The option is a: <code>java.lang.String</code> type. Group: security- Parameters:
basicAuthUsername- the value to set- Returns:
- the dsl builder
-
bearerToken
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder bearerToken(String bearerToken)
The bearer token to use for bearer token authentication. The option is a: <code>java.lang.String</code> type. Group: security- Parameters:
bearerToken- the value to set- Returns:
- the dsl builder
-
sslContextParameters
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder sslContextParameters(org.apache.camel.support.jsse.SSLContextParameters sslContextParameters)
To configure security using SSLContextParameters. The option is a: <code>org.apache.camel.support.jsse.SSLContextParameters</code> type. Group: security- Parameters:
sslContextParameters- the value to set- Returns:
- the dsl builder
-
sslContextParameters
default VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder sslContextParameters(String sslContextParameters)
To configure security using SSLContextParameters. The option will be converted to a <code>org.apache.camel.support.jsse.SSLContextParameters</code> type. Group: security- Parameters:
sslContextParameters- the value to set- Returns:
- the dsl builder
-
-